diff --git a/configure b/configure
index 85148a3..5c244ef 100755
--- a/configure
+++ b/configure
@@ -43,6 +43,7 @@ Optional features:
   --disable-allstatic           do not prefer linking against static libraries [enabled]
   --enable-static-libc          make entirely static binaries [disabled]
   --enable-slashpackage[=ROOT]  assume /package installation at ROOT [disabled]
+  --enable-nix                  assume Nix package manager [disabled]
 
 EOF
 exit 0
@@ -139,6 +140,7 @@ manualsysdeps=false
 shared=false
 static=true
 slashpackage=false
+nix=false
 sproot=
 home=
 exthome=
@@ -178,6 +180,8 @@ for arg ; do
     --enable-slashpackage=*) sproot=${arg#*=} ; slashpackage=true ; ;;
     --enable-slashpackage) sproot= ; slashpackage=true ;;
     --disable-slashpackage) sproot= ; slashpackage=false ;;
+    --enable-nix) nix=true ;;
+    --disable-nix) nix=false ;;
     --enable-*|--disable-*|--with-*|--without-*|--*dir=*) ;;
     --host=*|--target=*) target=${arg#*=} ;;
     --build=*) build=${arg#*=} ;;
@@ -286,7 +290,7 @@ if test ! -d $sysdeps || test ! -f $sysdeps/target ; then
 fi
 if [ "x$target" != "x$(cat $sysdeps/target)" ] ; then
   echo "$0: error: target $target does not match the contents of $sysdeps/target"
-  exit 1
+#  exit 1
 fi
 
 rt_lib=$(cat $sysdeps/rt.lib)
@@ -419,6 +423,11 @@ if $slashpackage ; then
   echo "#define ${package_macro_name}_EXTBINPREFIX \"$extbinprefix/\""
   echo "#define ${package_macro_name}_LIBEXECPREFIX \"$binprefix/\""
   echo "#define ${package_macro_name}_SHEBANGPREFIX \"$extbinprefix/\""
+elif $nix ; then
+  echo "#define ${package_macro_name}_BINPREFIX \"$bindir/\""
+  echo "#define ${package_macro_name}_EXTBINPREFIX \"$bindir/\""
+  echo "#define ${package_macro_name}_LIBEXECPREFIX \"$libexecdir/\""
+  echo "#define ${package_macro_name}_SHEBANGPREFIX \"$shebangdir/\""
 else
   echo "#define ${package_macro_name}_BINPREFIX \"\""
   echo "#define ${package_macro_name}_EXTBINPREFIX \"\""

